"use strict";

var express = require ('express');                                                
var ejs = require('ejs');                                                    
var app = express ();                                                    

app.engine('html', ejs.renderFile); 
app.use(express.static(__dirname ));                                      
app.set('views', __dirname + '/templates');                                  
app.use('/public', express.static(__dirname + '/public/')); 
app.use('/jquery', express.static(__dirname + '/node_modules/jquery/dist'));
app.use('/socket.io', express.static(__dirname + '/node_modules/socket.io-client/'));

var httpserver = require('http').createServer(app);
var socketio = require('socket.io').listen(httpserver);
var pas = 0, fx = 5, inc = 0.1, value = 0;

function scaley() {
    let value = (Math.sin(pas++ * inc) + 1) / 2 * fx;
    socketio.sockets.emit('scaley', { value: value });
}
setInterval(scaley, 50);

var credit = { 
	name : 'Mon Web avec NodeJs',
	level : 'Lecon n° 4 (v2)',
	auteur :'Powered by Bud *Robert* Spencer'
};
					
app.get('/', function (req, res) {
res.render('index.html',{credit : credit});
});

httpserver.listen(8080); 
console.log('CTRL+C pour quitter.');

